# INTRODUCTION

------------

Kupindo Simple XML module allows you to transfer products from Drupal Commerce website to Kupindo.com, providing global settings, a new view for control of the products and smart XML generation.

# REQUIREMENTS

------------

This module requires the following modules:
Drupal Commerce - https://www.drupal.org/project/commerce
Views - https://www.drupal.org/project/views
View Bulk Operations - https://www.drupal.org/project/views_bulk_operations
Hierarchical Select - https://www.drupal.org/project/hierarchical_select
Hierarchical Select Taxonomy - Part of Hierarchical Select


# INSTALLATION

------------

* Install as you would normally install a contributed Drupal module.

Few operations are done when the module is installed.

* Kupindo categories taxonomy is created, containing all Kupindo categories
* Custom fields are added to the product that are used for Kupindo XML
* A new view for administration of product for Kupindo is created


# CONFIGURATION

-------------

* Configure user permissions in Administration » People » Permissions:
 - A new custom permission is created, called Administer Kupindo
* Configure global field settings
 - Set default values for Kupindo fields that will be used when creating a new product
* New View for managing products for Kupindo
 - Set Kupindo fields using View Bulk Operations field
* Smart XML Generation
 - When products are updated, they will also be updated in XML, so there is no need to recreate the XMl every time you do something
 - Depending on the chosen fields, the product will be added, updated or removed from the XML


# TROUBLESHOOTING

---------------
* If the menu link for the View does not appear, just flush the cache
* If you create a new product and flag it for Kupindo, but it is not in the XML, just update the product and it will apper


# MAINTAINERS

-----------
Current maintainers
 * Vedran Korponajić - https://www.drupal.org/user/3562616

This project has been sponsored by:
 * Studio Present

 
